Bug 2034243 - regular user cant load template list
Summary: regular user cant load template list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-20 13:37 UTC by Aviv Turgeman
Modified: 2022-03-10 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:35:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
templates-cant-load (101.88 KB, image/png)
2021-12-20 13:37 UTC, Aviv Turgeman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10698 0 None open Bug 2034243: regular user cant load template list 2021-12-20 14:24:27 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:35:35 UTC

Description Aviv Turgeman 2021-12-20 13:37:13 UTC
Created attachment 1847031 [details]
templates-cant-load

Description of problem:
when logging in as a regular user, and visiting the `Templates` page is giving an error instead a list of templates, an error message screenshot is added 

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. login as test user (user without kubeadmin permissions)
2. create a namespace/project as test user
3. navigate to `Virtualization` -> `Templates` and receive error

Actual results:
user is has no permissions to load dataSource resource

Expected results:
user should see a list of template

Comment 2 Guohua Ouyang 2021-12-21 02:20:25 UTC
verified on master

Comment 6 errata-xmlrpc 2022-03-10 16:35:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.